org.deidentifier.arx.algorithm

## Class LIGHTNINGAlgorithm

- java.lang.Object
- - org.deidentifier.arx.algorithm.AbstractAlgorithm
  - - org.deidentifier.arx.algorithm.LIGHTNINGAlgorithm

    public class LIGHTNINGAlgorithm
    extends AbstractAlgorithm

Author:
  Fabian Prasser, Raffael Bild, Johanna Eicher, Helmut Spengler

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AbstractAlgorithm` `create(SolutionSpace<?> solutionSpace, TransformationChecker checker, int timeLimit, int checkLimit)` Creates a new instance
`boolean` `traverse()` Implement this method in order to provide a new algorithm.

### Methods inherited from class org.deidentifier.arx.algorithm.AbstractAlgorithm

`getGlobalOptimum, setListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static AbstractAlgorithm create(SolutionSpace<?> solutionSpace,
                                           TransformationChecker checker,
                                           int timeLimit,
                                           int checkLimit)

Creates a new instance

Parameters:
  `solutionSpace` -
  `checker` -
  `timeLimit` -
  `checkLimit` -
Returns:

#### traverse

    public boolean traverse()

Description copied from class: `AbstractAlgorithm`
Implement this method in order to provide a new algorithm.

Specified by:
  `traverse` in class `AbstractAlgorithm`
Returns:
  Whether the result is optimal